/*
 * Created on Nov 5, 2004
 *
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 * 
 */
package com.sunlabs.archsim.base.simulation;

import com.sunlabs.archsim.globals.Globals;

/**
 * Command captures actions associated with events
 * Each component defines its own operation through its commands
 * 
 * @author ib27688
 */

/* Ivan's comments:
 * Command is an abstract class with one method: 
 * execute(Object params).
 * Private sub-classes of Command represent specific
 * things that the simulator must do, such as 
 * activating other parts of the simulation.  
 */

public abstract class Command {
	
	protected Globals globals= Globals.getInstance();
	
	public abstract void execute(Object params);

} // class Command
